Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

The bellow test fails when it is run in isolation

Failure:

CommentTest#test_create_should_send_notification [/builds/marius-balteanu/redmine/test/unit/commen

t_test.rb:39]:

"ActionMailer::Base.deliveries.size" didn't change by 2.

Expected: 2

  Actual: 1

bin/rails test test/unit/comment_test.rb:35

 Attached a patch that adds the missing fixtures.

Related issues:

Copied to Redmine - Defect #30054: Add missing fixtures for test_create_with_... Closed

Associated revisions

Revision 17648 - 2018-11-29 07:52 - Go MAEDA

Add missing fixtures for test_create_should_send_notification (#29990).

Patch by Marius BALTEANU.

History

#1 - 2018-11-17 19:45 - Marius BĂLTEANU

- Subject changed from Add missing fixtures for test test_create_should_send_notification to Add missing fixtures for

test_create_should_send_notification

#2 - 2018-11-17 19:48 - Marius BĂLTEANU

- Description updated

#3 - 2018-11-18 19:26 - Marius BĂLTEANU

- File add_missing_fixtures_to_documents.patch added

And one more for test/functional/documents_controller_test.rb

root@45ec3a6558b0:/work# ruby test/functional/documents_controller_test.rb 

DEPRECATION WARNING: `secrets.secret_token` is deprecated in favor of `secret_key_base` and will be removed in

 Rails 6.0. (called from <top (required)> at /work/config/environment.rb:14)

Run options: --seed 39471

# Running:

...........F

Failure:

DocumentsControllerTest#test_create_with_one_attachment [test/functional/documents_controller_test.rb:135]:

Expected: 2

  Actual: 1

bin/rails test test/functional/documents_controller_test.rb:109
...

Finished in 1.231643s, 12.1788 runs/s, 34.9127 assertions/s.

15 runs, 43 assertions, 1 failures, 0 errors, 0 skips

#4 - 2018-11-19 00:21 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 4.1.0

#5 - 2018-11-29 07:44 - Go MAEDA

- Copied to Defect #30054: Add missing fixtures for test_create_with_one_attachment added

#6 - 2018-11-29 07:46 - Go MAEDA

Marius BALTEANU wrote:

And one more for test/functional/documents_controller_test.rb

[...]

 I have created another issue #30054.

#7 - 2018-11-29 07:47 - Go MAEDA

- File deleted (add_missing_fixtures_to_documents.patch)

#8 - 2018-11-29 07:54 - Go MAEDA

- Category set to Code cleanup/refactoring

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thank you for your daily contribution.

Files
